#include <iostream>
#include <fstream>
using namespace std;
int a,b,c,d;
int ucln(int a, int b)
{
	while(a!=b)
	{
		if (a>b)
		{
			a=a-b;
		}
		if (a<b)
		{
			b=b-a;
		}
	}
	return a;
}
int tong(int a,int b,int c, int d,int e)
{
	int tu=a*d+b*c;
	int mau=b*d;
	int u=ucln(tu,mau);
	tu=int(tu/u);
	mau=int(mau/u);
	if(e==0)
	{
		return tu;
	}
	if (e==1)
	{
		return mau;
	}
}
int nhan(int a,int b,int c,int d,int e)
{
	int tu=a*c;
	int mau=b*d;
	int u=ucln(tu,mau);
	tu=int(tu/u);
	mau=int(mau/u);
	if(e==0)
	{
		return tu;
	}
	if (e==1)
	{
		return mau;
	}
}
int main()
{
	ifstream fi("TTPS.inp");
	ofstream fo("TTPS.out");
	fi>>a>>b>>c>>d;
	int tto=tong(a,b,c,d,0);
	int mto=tong(a,b,c,d,1);
	int tti=nhan(a,b,c,d,0);
	int mti=nhan(a,b,c,d,1);
	fo<<tto<<"/"<<mto<<endl;
	fo<<tti<<"/"<<mti<<endl;
	fi.close();
	fo.close();
}
